#!/usr/bin/env python2
# by baochan120, 2016
# Copy input file to output file, randomly corrupting bytes

import sys
import random

if len(sys.argv) != 4:
    print "Usage: corruptbytes.py percent inputfile outputfile"
    print "   where e.g. percent = 0.05 makes 5% chance any copied byte"
    print "   is set to random value 0x00 to 0xFF"
    sys.exit()

percent = float(sys.argv[1])
infile_name = str(sys.argv[2])
outfile_name = str(sys.argv[3])

with open(infile_name, 'r') as infile:
    with open(outfile_name, 'w') as outfile:
        byte = infile.read(1)
        while byte:
            if random.random() < percent:
                byte = chr(int(random.random() * 256))
            outfile.write(byte)
            byte = infile.read(1)


